JNA API 3.3.0

## com.sun.jna.platform.win32
Class Winioctl.STORAGE_DEVICE_NUMBER

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.Winioctl.STORAGE_DEVICE_NUMBER

Direct Known Subclasses:
  Winioctl.STORAGE_DEVICE_NUMBER.ByReference

Enclosing interface:
  Winioctl

    public static class Winioctl.STORAGE_DEVICE_NUMBER

extends Structure

Contains information about a device. This structure is used by the IOCTL_STORAGE_GET_DEVICE_NUMBER control code.

Nested Class Summary
`static class` | `Winioctl.STORAGE_DEVICE_NUMBER.ByReference`

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByValue`

Field Summary
`int` | `DeviceNumber` The number of this device.
`int` | `DeviceType` The type of device.
`int` | `PartitionNumber` The partition number of the device, if the device can be partitioned.

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`Winioctl.STORAGE_DEVICE_NUMBER()`
`Winioctl.STORAGE_DEVICE_NUMBER(Pointer memory)`

Method Summary

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DeviceType

    public int DeviceType

  The type of device. Values from 0 through 32,767 are reserved for use by Microsoft. Values from 32,768 through 65,535 are reserved for use by other vendors.

### DeviceNumber

    public int DeviceNumber

  The number of this device.

### PartitionNumber

    public int PartitionNumber

  The partition number of the device, if the device can be partitioned. Otherwise, this member is -1.

Constructor Detail

### Winioctl.STORAGE_DEVICE_NUMBER

    public Winioctl.STORAGE_DEVICE_NUMBER()

### Winioctl.STORAGE_DEVICE_NUMBER

    public Winioctl.STORAGE_DEVICE_NUMBER(Pointer memory)

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.